logo

アップル「iCal」に脆弱性-- Core Securityが報告

文:Robert Vamosi(CNET News.com) 翻訳校正:編集部2008年05月22日 12時11分
  • このエントリーをはてなブックマークに追加

 Core Securityは米国時間5月21日、「iCal」に存在する脆弱性3件を報告した。iCalは、Mac OSに搭載される個人向けカレンダーアプリケーション。今回の脆弱性は、Mac OS X 10.5.1上のiCalバージョン3.0.1に影響する。

 ZDNetのRyan Naraine氏は、発表前のCore Securityの声明を引用し、次のように述べている。「脆弱性は、iCalのカレンダーファイル(.ics)にある特定のフィールドをiCalが適切にサニタイズしないことが原因で発生している。同脆弱性が悪用された結果、iCalのクラッシュ(最初の2件のバグ)、および、任意のコードの実行(3件目のバグ)が発生する可能性がある。その発生は、悪意あるカレンダーアップデートや特別に作られたカレンダーファイルのインポートによる」

 Appleは21日、大規模なセキュリティパッチのリリースを予定すると思われていた。しかし、Naraine氏は、同氏ブログのアップデートとして、リリースはないだろうと述べている。当面の間、Leopardユーザーは、カレンダーファイル(.ics)を追加したり開いたりすることを求めるリンクや電子メールについて注意した方がよい。

この記事は海外CNET Networks発のニュースをシーネットネットワークスジャパン編集部が日本向けに編集したものです。海外CNET Networksの記事へ

-PR-企画特集